Subject: [Tools-discuss] Datatracker-generated announcements for (minor) WG milestone changes

From: "Scharf, Michael (Michael)" <[email-masked]>
Date: Fri, 26 Jul 2013 17:08:09 +0000

Completion of two WG milestones resulted in the following post to the mailing list, which is not simple to parse, because the change is hidden very carefully... One has to grep for "resolved"...

In addition, the message got stuck in mailman and required manual approval (I did so because the expectation seems to be that this message goes to the WG list, even if I personally find the format´of that message not very useful).

Since this is a standard operation that will probably occur not only once, two suggestions for improvement:

1. Limit the posting of changed milestones only to those milestones that actually were modified

2. Ensure that such an automated message is not blocked by mailman

Michael

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
>    Of IETF Secretariat
> Sent: Wednesday, July 24, 2013 6:20 PM
> To: [email-masked]
> Subject: [tcpm] Milestones changed for tcpm WG
> 
> Changed milestone "Submit FRTO draft to IESG for publication as an
>    Experimental RFC", set due date to March 2004 from March 2004.
> 
> Changed milestone "Submit TCP Roadmap document to IESG for publication
>    as a  Best Current Practices RFC", set due date to May 2004 from
>    May 2004.
> 
> Changed milestone "Submit SYN flooding document to the IESG for
>    publication as an Informational RFC", set due date to January 2007
>    from January 2007.
> 
> Changed milestone "Submit soft errors document to the IESG for
>    publication as an Informational RFC", set due date to January 2007
>    from January 2007.
> 
> Changed milestone "Submit In-Window Attack draft to IESG for
>    publication as a Proposed Standard RFC", set due date to March 2009
>    from March 2009.
> 
> Changed milestone "Submit ECN-SYN document to the IESG for publication
>    as a Proposed Standard RFC", set due date to March 2009 from March
>    2009.
> 
> Changed milestone "Submit revision of RFC 2581 to the IESG for
>    publication as a Draft Standard", set due date to March 2009 from
>    March 2009.
> 
> Changed milestone "Submit ICMP attack document to the IESG for
>    publication as an Informational RFC", set due date to July 2009
>    from July 2009.
> 
> Changed milestone "Submit TCP Early-Retransmit document to the IESG
>    for Experimental RFC", set due date to July 2009 from July 2009.
> 
> Changed milestone "Submit update to RFC 1323 to the IESG for Proposed
>    Standard RFC", set due date to July 2009 from July 2009.
> 
> Changed milestone "Submit MSS text revision originally from RFC 1323
>    appendix to the IESG for Proposed Standard RFC", set due date to
>    July
> 2009 from July 2009.
> 
> Changed milestone "Submit TCP Urgent Pointer draft to IESG for
>    publication as a Proposed Standard RFC", set due date to January
>    2010 from January 2010.
> 
> Changed milestone "Submit document on the use of SACK data to trigger
>    loss recovery to the IESG for Proposed Standard", set due date to
>    October 2010 from October 2010.
> 
> Changed milestone "Submit document on mitigation of 'Long Connectivity
>    Disruptions' to the IESG for Experimental", set due date to October
>    2010 from October 2010.
> 
> Changed milestone "Submit document on moving undeployed TCP extensions
>    to Historic status to the IESG for publication as an Informational
>    RFC", set due date to October 2010 from October 2010.
> 
> Changed milestone "Submit RFC2988bis document to the IESG for
>    publication as a Proposed Standard", set due date to March 2011
>    from March 2011.
> 
> Changed milestone "Submit document on increasing the initial window to
>    IESG as Experimental", resolved as "Done".
> 
> Changed milestone "Submit document on a proportional rate reduction
>    mechanism to the IESG as Experimental", set due date to May 2012
>    from May 2012, resolved as "Done".
> 
> Changed milestone "Submit document on restarting the RTO timer to the
>    IESG for publication as an Experimental RFC", set due date to
>    August
> 2013 from August 2013.
> 
> Changed milestone " Decide the intended status of the document on TCP
>    support for rate-limited traffic", set due date to August 2013 from
>    August 2013.
> 
> Changed milestone "Submit document on TCP support for rate-limited
>    traffic for publication (status decided as earlier milestone)", set
>    due date to November 2013 from November 2013.
> 
> Changed milestone "Submit document on an analysis of more detailed ECN
>    feedback in TCP to the IESG for publication as an Informational
>    RFC", set due date to November 2013 from November 2013.
> 
> URL: http://datatracker.ietf.org/wg/tcpm/charter/
> _______________________________________________
> tcpm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcpm
>

---

From: Henrik Levkowetz <[email-masked]>
Date: Sun, 28 Jul 2013 21:36:03 +0200

Hi Michael,

On 2013-07-26 19:08 Scharf, Michael (Michael) said the following:
> Completion of two WG milestones resulted in the following post to the
> mailing list, which is not simple to parse, because the change is
> hidden very carefully... One has to grep for "resolved"...

Yes, there's definitely a bug here; the datatracker shouldn't be reporting
as changes things that haven't changed ...

> In addition, the message got stuck in mailman and required manual
> approval (I did so because the expectation seems to be that this
> message goes to the WG list, even if I personally find the format´of
> that message not very useful).
> 

Of course, will fix.

> 2. Ensure that such an automated message is not blocked by mailman

I'll email the secretariat about this.

Best regards,

	Henrik

> Tools-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tools-discuss
>